#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-8PzI4TWIYrb4R1s5uMNOK4
key:                  tree-diff-0.3.0.1-8PzI4TWIYrb4R1s5uMNOK4
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  9ae75bfb9228b8e46f4d7b939cc3c7c5
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-8PzI4TWIYrb4R1s5uMNOK4
depends:
    QuickCheck-2.14.3-KaOz3Xaj3ggAE1cuh30aan
    aeson-2.1.2.1-AEAcBNDnyHsCd1TQh9QYcs
    ansi-terminal-1.0-B4Xn16XWLSCBu6tBrzW4At
    ansi-wl-pprint-0.6.9-GyQjQrh2f9h3SHafgY6VxE base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    containers-0.6.5.1 data-array-byte-0.1.0.1-BYDRYpt0UPY8jl7UYUj5XL
    deepseq-1.4.6.1 hashable-1.4.4.0-Eh4n1fgdym83z63BlyWtti
    parsec-3.1.15.0 parsers-0.12.12-32wnCzr6jY0KMDYWGMjZ5g
    pretty-1.1.3.6 primitive-0.7.4.0-1hA3w8Xuiwq22ZvLFHCUbB
    scientific-0.3.7.0-Gve2HE0tJMP5wULeBm2MyK
    semialign-1.3-Cl9SXLz3plD4ttu3oCDSu2
    strict-0.5-Yc3zPjSaDYDi2NCzfFNIf
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    these-1.2-INIUBazeiwo3SNGB3InYkt time-1.11.1.1
    unordered-containers-0.2.20-LlU8nq86YFE5MC7DkoTKas
    uuid-types-1.0.6-6KRf53vhIDjL45oUCmevPg
    vector-0.13.1.0-IOJlwkRydAuH1Lkdw56w5r

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

